Update a course evaluation question response
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"not_applicable": true,
"data": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"not_applicable": True,
"data": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'course_evaluation_question_response',
attributes: {not_applicable: true, data: '<string>'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"answered": true,
"not_applicable": true,
"data": "<string>"
},
"relationships": {
"evaluation_response": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_response",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"question": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Course Evaluation Question Responses
Update a course evaluation question response
PATCH
/
api
/
v1
/
course_evaluation_question_responses
/
{id}
Update a course evaluation question response
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"not_applicable": true,
"data": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"not_applicable": True,
"data": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'course_evaluation_question_response',
attributes: {not_applicable: true, data: '<string>'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"answered": true,
"not_applicable": true,
"data": "<string>"
},
"relationships": {
"evaluation_response": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_response",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"question": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
course evaluation question response updated
Show child attributes
Show child attributes
⌘I